%define	name		libgnome-java
%define apiversion	2.8
%define	version		%{apiversion}.2
%define	release		1jpp

Summary:	Java bindings for the GNOME library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
URL:		http://java-gnome.sourceforge.net/
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/libgnome-java/2.8/libgnome-java-2.8.2.tar.bz2 
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
# Patches from fitzsim
Patch0:		libgnome-java-install.patch
Patch1:		libgnome-java-run-example.patch
BuildRequires:	%{_bindir}/db2html
BuildRequires:	%{_datadir}/sgml/docbook/sgml-dtd-3.0/catalog
BuildRequires:  %{_libdir}/pkgconfig/libgnome-2.0.pc
BuildRequires:	java-devel
BuildRequires:	libgtk-java
BuildRequires:	libgtk-java-javadoc

%description
libgnome-java is a set of Java bindings for the GNOME library that 
allow GNOME applications to be written in Java.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

[ -f configure ] || %__ln_s autogen.sh configure

%build
export JAVAC=%{javac}
export JAVADOC=%{javadoc}
export JAR=%{jar}
export DB1=%{_bindir}/db2html
%configure --without-gcj-compile
%make JAVA_INCLUDES+="-I%{java_home}/include -I%{java_home}/include/linux"

pushd doc
  pushd doc
    %{_bindir}/db2html GNOME-tutorial.sgml
    %__mv -f GNOME-tutorial/* ../tutorial
  popd
  %__rm -rf doc Makefile Makefile.in .cvsignore
  %__rm -f {tutorial,examples}/.cvsignore
  %__mv -f tutorial examples ..
popd

%javadoc -d api -sourcepath src/java \
                -public -use -version -author \
                -windowtitle "Java-Gnome %{apiversion} GNOME API Reference" \
                -doctitle "Java-Gnome %{apiversion} GNOME API Reference" \
                -footer "Please send any bug reports, comments, or \
suggestions for the API or documentation to  <a \
href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@\
lists.sf.net</a>" \
                -link %{_javadocdir}/libgtk-java \
                org.gnu.gnome org.gnu.gnome.event

%install
%__rm -rf %{buildroot}
%makeinstall

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%clean
%__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc ChangeLog NEWS TODO tutorial examples
%attr(0755,root,root) %{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/java/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Fri Dec 10 2004 David Walluck <david@jpackage.org> 0:2.8.2-1jpp
- release
